=== debian/changelog ===
coverxygen (1.8.1ppa1~jammy) jammy; urgency=medium

  * fix markdown output

 -- Xavier MARCELET <xavier@marcelet.com>  Mon, 19 Jun 2023 19:48:00 +0200

coverxygen (1.8.1ppa1~focal) focal; urgency=medium

  * fix markdown output

 -- Xavier MARCELET <xavier@marcelet.com>  Mon, 19 Jun 2023 19:48:00 +0200

coverxygen (1.8.0ppa2~jammy) jammy; urgency=medium

  * add support for jammy

 -- Xavier MARCELET <xavier@marcelet.com>  Sun, 18 Jun 2023 14:55:00 +0200

coverxygen (1.8.0ppa2~focal) focal; urgency=medium

  * add support for jammy

 -- Xavier MARCELET <xavier@marcelet.com>  Sun, 18 Jun 2023 14:55:00 +0200

coverxygen (1.7.0ppa1~focal) focal; urgency=medium

  * drop support for python2.7

 -- Xavier MARCELET <xavier@marcelet.com>  Tue, 23 Nov 2021 14:55:00 +0200

coverxygen (1.3.1ppa1~xenial) xenial; urgency=medium

  * fix generated value when item is undocumented

 -- Xavier MARCELET <xavier@marcelet.com>  Mon, 02 Jul 2018 13:26:17 +0200

coverxygen (1.3.1ppa1~trusty) xenial; urgency=medium

  * fix generated value when item is undocumented

 -- Xavier MARCELET <xavier@marcelet.com>  Mon, 02 Jul 2018 13:26:17 +0200

coverxygen (1.3.0ppa1~xenial) xenial; urgency=medium

  * strengthen and sanitize code
  * replaces --json option by --format

 -- Xavier MARCELET <xavier@marcelet.com>  Tue, 07 Mar 2017 00:21:55 +0100

coverxygen (1.3.0ppa1~trusty) trusty; urgency=medium

  * strengthen and sanitize code
  * replaces --json option by --format

 -- Xavier MARCELET <xavier@marcelet.com>  Tue, 07 Mar 2017 00:21:33 +0100

coverxygen (1.2.0ppa1~xenial) xenial; urgency=medium

  * compatibility with doxygen strip path

 -- Xavier MARCELET <xavier@marcelet.com>  Sat, 21 Jan 2017 11:10:01 +0100

coverxygen (1.2.0ppa1~trusty) trusty; urgency=medium

  * compatibility with doxygen strip path

 -- Xavier MARCELET <xavier@marcelet.com>  Sat, 21 Jan 2017 11:10:00 +0100

coverxygen (1.1.1ubuntu1~xenialppa1) xenial; urgency=medium

  * fixes script import

 -- Xavier MARCELET <xavier@marcelet.com>  Wed, 28 Dec 2016 00:51:06 +0100

coverxygen (1.1.1ubuntu1~trustyppa1) trusty; urgency=medium

  * fixes script import

 -- Xavier MARCELET <xavier@marcelet.com>  Wed, 28 Dec 2016 00:48:58 +0100

coverxygen (1.1.0ubuntu1~xenialppa2) xenial; urgency=medium

  * debian packages for python2 and python3
  * replaces standalone script by module with entrypoint

 -- Xavier MARCELET <xavier@marcelet.com>  Tue, 27 Dec 2016 22:42:09 +0100

coverxygen (1.1.0ubuntu1~trustyppa2) trusty; urgency=medium

  * debian packages for python2 and python3
  * replaces standalone script by module with entrypoint

 -- Xavier MARCELET <xavier@marcelet.com>  Tue, 27 Dec 2016 22:42:08 +0100
