=== debian/control ===
Source: coverxygen
Section: python
Priority: optional
Maintainer: Xavier MARCELET <xavier@marcelet.com>
Standards-Version: 3.9.7
Build-Depends: debhelper (>= 9), python3-all (>= 3.2), python3-setuptools, dh-python
X-Python3-Version: >= 3.2

Package: python3-coverxygen
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Generate doxygen's documentation coverage report
 http://github.com/psycofdj/coverxygen
 .
