=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile-mode; -*-

#export DH_VERBOSE = 1

%:
	dh $@ --with python3  --buildsystem=pybuild

override_dh_auto_test:

override_dh_auto_clean:
	python3 setup.py clean -a
	find . -name \*.pyc -exec rm {} \;

override_dh_auto_build:
	python3 setup.py build --force

override_dh_auto_install:
	python3 setup.py install --force --root=debian/python3-coverxygen --no-compile -O0
